Package org.opentcs.data.model

# Class Group

java.lang.Object
org.opentcs.data.TCSObject<Group>
org.opentcs.data.model.Group

All Implemented Interfaces:
  `java.io.Serializable`

    @Deprecated
    @ScheduledApiChange(details="Will be removed.",
                        when="6.0")
    public class Group
    extends TCSObject<Group>
    implements java.io.Serializable

Deprecated.
Will be removed.
An aggregation of model elements.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class org.opentcs.data.TCSObject

  `reference`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Group​(java.lang.String name)` | Deprecated. Creates a new, empty group.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<TCSObjectReference<?>>` | `getMembers()` | Deprecated. Returns an unmodifiable set of all members of this group.
  `TCSObject<Group>` | `withHistory​(ObjectHistory history)` | Deprecated. Creates a copy of this object, with the given history.
  `TCSObject<Group>` | `withHistoryEntry​(ObjectHistory.Entry entry)` | Deprecated. Creates a copy of this object, with the given history entry integrated.
  `Group` | `withMembers​(java.util.Set<TCSObjectReference<?>> members)` | Deprecated. Creates a copy of this object, with the given members.
  `Group` | `withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Deprecated. Creates a copy of this object, with the given properties.
  `Group` | `withProperty​(java.lang.String key, java.lang.String value)` | Deprecated. Creates a copy of this object, with the given property integrated.

  ### Methods inherited from class org.opentcs.data.TCSObject

  `equals, getHistory, getName, getProperties, getProperty, getReference, hashCode, listWithoutNullValues, mapWithoutNullValues, propertiesWith, setWithoutNullValues, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Group

    public Group​(java.lang.String name)
    Deprecated.
    Creates a new, empty group.
    Parameters:
      `name` - This group's name.

- ## Method Details

  - ### withProperty

    public Group withProperty​(java.lang.String key, java.lang.String value)
    Deprecated.
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given property integrated.
    Specified by:
      `withProperty` in class `TCSObject<Group>`
    Parameters:
      `key` - The key of the property to be changed.
      `value` - The new value of the property, or `null`, if the property is to be removed.
    Returns:
      A copy of this object, with the given property integrated.

  - ### withProperties

    public Group withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)
    Deprecated.
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given properties.
    Specified by:
      `withProperties` in class `TCSObject<Group>`
    Parameters:
      `properties` - The properties.
    Returns:
      A copy of this object, with the given properties.

  - ### withHistoryEntry

    public TCSObject<Group> withHistoryEntry​(ObjectHistory.Entry entry)
    Deprecated.
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given history entry integrated.
    Specified by:
      `withHistoryEntry` in class `TCSObject<Group>`
    Parameters:
      `entry` - The history entry to be integrated.
    Returns:
      A copy of this object, with the given history entry integrated.

  - ### withHistory

    public TCSObject<Group> withHistory​(ObjectHistory history)
    Deprecated.
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given history.
    Specified by:
      `withHistory` in class `TCSObject<Group>`
    Parameters:
      `history` - The history.
    Returns:
      A copy of this object, with the given history.

  - ### getMembers

    public java.util.Set<TCSObjectReference<?>> getMembers()
    Deprecated.
    Returns an unmodifiable set of all members of this group.
    Returns:
      An unmodifiable set of all members of this group.

  - ### withMembers

    public Group withMembers​(java.util.Set<TCSObjectReference<?>> members)
    Deprecated.
    Creates a copy of this object, with the given members.
    Parameters:
      `members` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.